"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isRunningAsTestChildProcess = void 0;
const find_process_1 = __importDefault(require("find-process"));
async function isRunningAsTestChildProcess() {
    if (process.ppid == null)
        return false;
    const procs = await (0, find_process_1.default)('pid', process.ppid);
    const proc = procs[0];
    return proc != null && proc.name === 'node' && proc.cmd.includes('--test');
}
exports.isRunningAsTestChildProcess = isRunningAsTestChildProcess;
//# sourceMappingURL=utils.js.map